%define real_name Crypt-Rot13

Summary:	Crypt-Rot13 module for perl 
Name:		perl-%{real_name}
Version:	0.6
Release:	%mkrel 2
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
rot13 is a simple encryption in which ASCII letters are rotated 13 places. This
module provides an array object with methods to encrypt its string elements by
rotating ASCII letters n places down the alphabet.

%prep
%setup -q -n %{real_name}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes COPYING README
%{perl_vendorlib}/Crypt/Rot13.pm
%{_mandir}/*/*




%changelog
* Wed Dec 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.6-2mdv2008.1
+ Revision: 138072
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6-1mdv2007.0
- rebuild

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6-1mdk
- initial Mandriva package

